XSLDBG(1)

NAME
xsldbg - A command line tool to debug XSLT scripts

SYNOPSIS

xsldbg [--shell] [--cd <PATH>] [--param <NAME>:<VALUE>] [--lang <LANG>] [--output <FILE>] [--version] [--verbose] [--timing] [--repeat] [--debug] [--valid] [--out] [--maxdepth val] [--html] [--docbook] [--net] [--catalogs] [--xinclude] [--profile] [--gdb] [--autoencode] [--utf8input] [--preferhtml] [--stdout] [--autorestart] [+XSLSource] [+XMLData]

DESCRIPTION

 xsldbg is a tool intended to help understand stylesheets. What makes it different to other stylesheet debuggers is the ability to search for items of interest and trace stylesheet execution.

 xsldbg is a text based tool to debug stylesheets (the eXtensible Stylesheet Language) and has commands similar to the Unix/Linux debugger gdb. It has three major modes of execution of stylesheets.

•   Run the whole stylesheet

•   Step to next xsl instruction

•   Continue until next break point is found, or stylesheet has restarted

OPTIONS
Application Options

Note: To turn off an option append a 'no' before that option name, eg 'nonet'

Note: Options that are marked with a '*' are on by default

--shell
    Start a shell, once a shell is started use xsldbg's help command to get run time help.

--cd <PATH>
    Path to change into before loading files. See also 'cd' command documentation

--param <NAME>:<VALUE>
    Add a parameter named <NAME> and value <VALUE> to XSL environment. See also 'addparam' command documentation Note:A '=' can be used as name, value separator instead of ':'

--lang <LANG>
    Use ISO 639 language code specified; for example en_US

--output <FILE>
    Save to a given file. See also output command documentation

--version
    Show the version of libxml and libxslt used

--verbose
    Show logs of what is happening

--timing
    Display the time used

--repeat
    Run the transformation 20 times, if --repeat is listed twice then run transformation 100 time

--debug
    Dump the tree of the result instead if libxml has such support enabled

--valid*
    Enables the DTD loading phase, by default this is on

--out*
    Enable the output of the result, by default this is on

--maxdepth val
    Increase the maximum depth

--html
    The input document is(are) an HTML file(s) treat the as such if libxml has such support enabled

--docbook
    The input document is SGML docbook if libxml has such support enabled

--net*
    Enable the fetching DTDs or entities over network, by default this is on

--catalogs
    Use the catalogs from $SGML_CATALOG_FILES if libxml has such support enabled

--xinclude*
    Enable XInclude processing on document input if libxml has such support enabled, by default this is on

--profile
    Print profiling information

--gdb*
    Run in GDB compatability mode and print more information, by default this is on

--autoencode*
    Detect and use encodings in the stylesheet

--utf8input
    Treat command line input as encoded in UTF-8

--preferhtml
    Use HTML output when generating search reports

--stdout
    Print all error messages to stdout, normally error messages go to stderr

--autorestart
    Enable the automatic restarting of execution when current processing pass is complete

+XSLSource
    XSL script to run (optional)

+XMLData
    XML data to be transform (optional if XSLSource is specified)

AUTHORS

xsldbg is currently written and maintained by Keith Isdale<keith@kdewebdev.org>

AUTHOR
Keith Isdale.